Name:           freerdp
Version:        0.7.3
Release:        1%{?dist}
Summary:        Remote Desktop Protocol functionality

Group:          Applications/Communications
License:        GPLv2+
URL:            http://freerdp.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  alsa-lib-devel
BuildRequires:  cups-devel
BuildRequires:  openssl-devel
BuildRequires:  libX11-devel
BuildRequires:  libXcursor-devel

%description
FreeRDP is a X Remote Desktop Protocol Client for Windows Terminal Servers.
It is a fork of the rdesktop project that intends to rapidly start moving
forward and implement features that rdesktop lacks the most.


%package -n     xfreerdp
Summary:        Remote Desktop Protocol client
Requires:       %{name}-libs = %{version}-%{release}, %{name}-plugins-standard = %{version}-%{release}
%description -n xfreerdp
xfreerdp is a Remote Desktop Protocol (RDP) client application that can
connect to Microsoft Windows machines

%package        libs
Summary:        Core libraries implementing the RDP protocol
Group:          System Environment/Libraries
%description libs
libfreerdp implements the core of the RDP protocol.

libfreerdpchanman can be used to load plugins that can handle channels
in the RDP protocol.

libfreerdpkbd implements functionality for handling keyboards in X.

%package        plugins-standard
Summary:        Plugins for handling the standard RDP channels
Group:          System Environment/Libraries
Requires:       %{name}-libs = %{version}-%{release}
%description plugins-standard
A set of plugins to the channel manager implementing the standard virtual
channels extending RDP core functionality.  For example, sounds, clipboard
sync, disk/printer redirection, etc.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}-libs.

%prep
%setup -q


%build
%configure --disable-static --with-sound --with-crypto=openssl
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post libs -p /sbin/ldconfig


%postun libs -p /sbin/ldconfig


%files -n xfreerdp
%defattr(-,root,root,-)
%{_bindir}/xfreerdp
%{_mandir}/*/*

%files libs
%defattr(-,root,root,-)
%doc COPYING AUTHORS doc/ipv6.txt
%{_libdir}/*.so.*
%dir %{_libdir}/%{name}/
%{_datadir}/%{name}/

%files plugins-standard
%defattr(-,root,root,-)
%{_libdir}/%{name}/*.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Jul 28 2010 Mads Kiilerich <mads@kiilerich.com> - 0.7.3-1
- 0.7.3
- fix some minor pylint warnings

* Fri Jul 23 2010 Mads Kiilerich <mads@kiilerich.com> - 0.7.2-2
- 0.7.2
- Address many comments from cwickert:
- - cleanup of old formatting, alignment with spectemplate-lib.spec and
    cwickert spec from #616193
- - add alsa as build requirement
- - remove superfluous configure options and disable static libs
- - add missing rpm groups

* Sun Jun 13 2010 Mads Kiilerich <mads@kiilerich.com> - 0.7.0-1
- First official release, first review request
